libzypp: zypp::solver::detail::SolverQueueItemInstall Class Reference

libzypp 17.38.14

zypp::solver::detail::SolverQueueItemInstall Class Reference

`#include <zypp/solver/detail/SolverQueueItemInstall.h>`

Inheritance diagram for zypp::solver::detail::SolverQueueItemInstall:

## Public Member Functions
| SolverQueueItemInstall (const ResPool &pool, std::string name, bool soft=false)
virtual | ~SolverQueueItemInstall ()
virtual std::ostream & | dumpOn (std::ostream &str) const
bool | isSoft (void) const
virtual bool | addRule (sat::detail::CQueue &q)
virtual SolverQueueItem_Ptr | copy (void) const
virtual int | cmp (SolverQueueItem_constPtr item) const

## Private Attributes
std::string | _name
bool | _soft

## Friends
std::ostream & | operator<< (std::ostream &str, const SolverQueueItemInstall &obj)

## Detailed Description

Definition at line 44 of file SolverQueueItemInstall.h.

## Constructor & Destructor Documentation

## ◆ SolverQueueItemInstall()

zypp::solver::detail::SolverQueueItemInstall::SolverQueueItemInstall | ( | const ResPool & | pool,
|  | std::string | name,
|  | bool | soft = false )

Definition at line 63 of file SolverQueueItemInstall.cc.

## ◆ ~SolverQueueItemInstall()

zypp::solver::detail::SolverQueueItemInstall::~SolverQueueItemInstall | ( |  | ) |
| virtual

Definition at line 71 of file SolverQueueItemInstall.cc.

## Member Function Documentation

## ◆ dumpOn()

std::ostream & zypp::solver::detail::SolverQueueItemInstall::dumpOn | ( | std::ostream & | str | ) | const
| virtual

Definition at line 52 of file SolverQueueItemInstall.cc.

## ◆ isSoft()

bool zypp::solver::detail::SolverQueueItemInstall::isSoft | ( | void |  | ) | const
| inline

Definition at line 65 of file SolverQueueItemInstall.h.

## ◆ addRule()

bool zypp::solver::detail::SolverQueueItemInstall::addRule | ( | sat::detail::CQueue & | q | ) |
| virtual

Definition at line 77 of file SolverQueueItemInstall.cc.

## ◆ copy()

SolverQueueItem_Ptr zypp::solver::detail::SolverQueueItemInstall::copy | ( | void |  | ) | const
| virtual

Definition at line 93 of file SolverQueueItemInstall.cc.

## ◆ cmp()

int zypp::solver::detail::SolverQueueItemInstall::cmp | ( | SolverQueueItem_constPtr | item | ) | const
| virtual

Definition at line 103 of file SolverQueueItemInstall.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const SolverQueueItemInstall & | obj )
| friend

Definition at line 60 of file SolverQueueItemInstall.h.

## Member Data Documentation

## ◆ _name

std::string zypp::solver::detail::SolverQueueItemInstall::_name
| private

Definition at line 48 of file SolverQueueItemInstall.h.

## ◆ _soft

bool zypp::solver::detail::SolverQueueItemInstall::_soft
| private

Definition at line 49 of file SolverQueueItemInstall.h.

The documentation for this class was generated from the following files:

- zypp/solver/detail/SolverQueueItemInstall.h
- zypp/solver/detail/SolverQueueItemInstall.cc